@import url('https://fonts.googleapis.com/css2?family=EB+Garamond:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Jost:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Barlow:wght@300&display=swap');

/*
 * FONTS
 */
.jost {
    font-family: 'Jost', sans-serif !important;
}

.eb-garamond {
    font-family: 'EB Garamond', serif !important;
}

.barlow-300 {
    font-family: 'Barlow', sans-serif;
    font-weight: 300;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Barlow', sans-serif;
    font-weight: 300;
    text-transform: uppercase;
}

body {
    font-family: 'Jost', sans-serif !important;
    color: #1c2738;
}

.capital-letter:first-letter {
    font-family: 'Barlow', sans-serif;
    font-weight: 300;
    text-transform: uppercase;
}

/*
 * Navbar
 */

/*
.navbar .navbar-brand img.not-extended {
    height: 50px;
    display: inline-block;
    position: relative;
}
.navbar .navbar-brand img.extended {
    height: 50px;
    display: none;
    position: relative;
}

.navbar-container.extended .navbar .navbar-brand img.not-extended,
.navbar-container.init-extended .navbar .navbar-brand img.not-extended {
    display: none;
}
.navbar-container.extended .navbar .navbar-brand img.extended,
.navbar-container.init-extended .navbar .navbar-brand img.extended {

    display: inline-block;
}
*/
.navbar .navbar-brand img {
    height: 50px;
    opacity: 0;
}


.navbar-container.extended .navbar .navbar-brand img,
.navbar-container.init-extended .navbar .navbar-brand img {
    opacity: 1;
}

.navbar .navbar-nav .nav-item {
    margin: 0 .5rem;
}

.navbar .toggler {
    color: #fff;
    font-size: 2rem;
    width: 26px;
    height: 26px;
    padding: 0;
    margin: 0;
    border: none;
    border-radius: 0;
    background-color: transparent;
    cursor: pointer;
    outline: none;
    z-index: 9999;
    transform: rotate(0deg);
    pointer-events: all;
}

.navbar .toggler:focus {
    outline: none !important;
    box-shadow: none;
}

.navbar .toggler span {
    transition: background .25s ease-in-out;
    display: block;
    position: absolute;
    height: 1px;
    width: 100%;
    background: #fff;
    border-radius: 0;
    opacity: 1;
    left: 0;
    transform: rotate(0deg);
}

.extended .navbar .toggler span,
.init-extended .navbar .nav-link {
    color: rgba(0, 0, 0, .55) !important;
}

.navbar .toggler span:first-child {
    top: calc(50% - 7px);
}

.navbar .toggler span:nth-child(2) {
    top: 50%;
    width: 100%;
}

.navbar .toggler span:nth-child(3) {
    top: calc(50% + 7px);
    width: 100%;
}

.navbar-container {
    transition: all .5s ease;
}

.navbar-container.extended {
    max-width: 100%;
    padding: 0;
    background-color: white;
    transition: all .5s ease;
    box-shadow: 0 0.25rem .5rem rgb(0 0 0 / 15%) !important;
}

.navbar-container.extended .navbar {
    border-top-left-radius: 0px !important;
    border-top-right-radius: 0px !important;
}



.navbar-container.extended .navbar .toggler,
.navbar-container.init-extended .navbar .toggler {
    color: #444;
}

.navbar-container.extended .navbar .toggler span,
.navbar-container.init-extended .navbar .toggler span {
    background-color: #444;
}

#offcanvas-menu .list-group .list-group-item {
    padding-top: .75rem;
    padding-bottom: .75rem;
    border-width: 0 !important;
    font-size: 20px;
}

/*
 * Header
 */
header {
    background-size: cover;
    background-position: center center;
    min-height: 100vh;
    position: relative;
}

header .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.53);
    z-index: 0;
}

header .content {
    position: relative;
    z-index: 1;
}

header .carousel .carousel-item {
    background-size: cover;
    width: 100%;
    height: 100%;
}

/*
 * Utility
 */
.bg-primary-light {
    background-color: var(--bs-primary-light) !important;
}

.bg-titan-dark {
    background-color: #242b35 !important;
}

.bg-titan-light {
    background-color: #484c52 !important;
}

.bg-titan-light-10 {
    background-color: rgba(236, 237, 237, 1) !important;
}

.bg-titan-light-20 {
    background-color: rgba(200, 201, 203, 1) !important;
}

.bg-titan-light-50 {
    background-color: rgba(72, 76, 82, 0.5) !important;
}

/* Hide scrollbar for Chrome, Safari and Opera */
.scrollbar-none::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
.scrollbar-none {
    -ms-overflow-style: none; /* IE and Edge */
    scrollbar-width: none; /* Firefox */
}

@media (min-width: 576px) {
    .text-sm-center {
        text-align: center !important;
    }

    .text-sm-left {
        text-align: left !important;
    }

    .text-sm-right {
        text-align: right !important;
    }

    .w-sm-25 {
        width: 25% !important;
    }

    .w-sm-50 {
        width: 50% !important;
    }

    .w-sm-75 {
        width: 75% !important;
    }

    .w-sm-100 {
        width: 100% !important;
    }
}

@media (min-width: 768px) {
    .text-md-center {
        text-align: center !important;
    }

    .text-md-left {
        text-align: left !important;
    }

    .text-md-right {
        text-align: right !important;
    }

    .w-md-25 {
        width: 25% !important;
    }

    .w-md-50 {
        width: 50% !important;
    }

    .w-md-75 {
        width: 75% !important;
    }

    .w-md-100 {
        width: 100% !important;
    }
}

@media (min-width: 992px) {
    .text-lg-center {
        text-align: center !important;
    }

    .text-lg-left {
        text-align: left !important;
    }

    .text-lg-right {
        text-align: right !important;
    }

    .w-lg-25 {
        width: 25% !important;
    }

    .w-lg-50 {
        width: 50% !important;
    }

    .w-lg-75 {
        width: 75% !important;
    }

    .w-lg-100 {
        width: 100% !important;
    }
}

@media (min-width: 1200px) {
    .text-xl-center {
        text-align: center !important;
    }

    .text-xl-left {
        text-align: left !important;
    }

    .text-xl-right {
        text-align: right !important;
    }

    .w-xl-25 {
        width: 25% !important;
    }

    .w-xl-50 {
        width: 50% !important;
    }

    .w-xl-75 {
        width: 75% !important;
    }

    .w-xl-100 {
        width: 100% !important;
    }
}

.font-x1 {
    font-size: 1rem;
}

.font-x1-5 {
    font-size: 1.5rem;
}

.font-x2 {
    font-size: 2rem;
}

.font-x2-5 {
    font-size: 2.5rem;
}

.animate-infinite-jump {
    animation: infiniteJump 1.5s infinite;
}

@keyframes infiniteJump {
    0% {
        margin-top: 0;
    }
    50% {
        margin-top: 20px;
    }
    100% {
        margin-top: 0;
    }
}

::placeholder {
    color: #808080 !important;
    opacity: 1; /* Firefox */
}

::-ms-input-placeholder { /* Edge 12 -18 */
    color: #808080 !important;
}

/** Sweetalert */

.swal2-confirm.swal2-styled {
    background-color: var(--bs-primary) !important;
}

footer a {
    color: white;
}


.bg-section-transition-white-gold{
    background: linear-gradient(
            to bottom,
            white 0%,
            white 50%,
            #f9f6f1 50%,
            #f9f6f1 100%
    );
}
